Jump to >
Review Board 3.0.17: GitHub and Repository Compatibility Fixes

Review Board 3.0.17 provides compatibility fixes for GitHub (which addresses the deprecation warning e-mails that GitHub may have sent you), removes some legacy hosting service options for repositories, and fixes a few bugs with repository configuration.

GitHub Changes

GitHub has deprecated some old APIs and methods for authenticating with those APIs, which Review Board has historically used. You can read more about this deprecation in last week's ChangeLog post on the Beanbag Blog. If you've linked your GitHub account to Review Board, you may have received e-mails from GitHub warning you about this deprecation.

We've updated how we authenticate with the API in this release, which will keep you from being bombarded with those e-mails every few days. We'll be working to address more of the deprecations in coming releases, changing how we link new GitHub accounts.

You will not need to re-link your GitHub account. The changes are all automatic.

Removing Legacy Hosting Services

We've cleaned house a bit, removing Google Code and Fedora Hosted from the repository hosting services list. These services have been gone for a long time, but we've kept support for the few users who have repositories with review requests sitting around. These are now hidden for any new repositories.

Keeping Up-To-Date

See the release notes for all changes in this release.

To keep up with what's happening every week in the land of Review Board, be sure to follow our ChangeLog posts on Twitter, Facebook, or Reddit.